image: node:10
stages:
    - build
    - test
    - deploy

buid website:
    stage: build
    script:
        - npm install
        - npm install -g gatsby-cli
        - gatsby build
    artifacts:
        paths:
            - ./public

test artifacts:
    stage: test
    script:
        - grep -q "gatsby" ./public/index.html

test website:
    stage: test
    script:
        - npm install
        - npm install -g gatsby-cli
        - gatsby serve &
        
deploy website:
    stage: deploy
    script:
        - npm install --global surge
        - surge --project ./public --domain Falith.surge.sh
